//
// This file is part of SerialDAS.
//
// SerialDAS is copyright (c) 2000 by
// Paul Gettings, Dep't of Geology & Geophysics, University of Utah
// All Rights Reserved.
// 
// SerialDAS is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License, version 2, as
// published by the Free Software Foundation.
// 
// SerialDAS is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details, in the file
// COPYING.  If that file is not present, write to the Free
// Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
// 02111-1307, USA
// 
// The SerialDAS maintainers request that users forward any 
// improvements to <gettings@mines.utah.edu>.
//
package Utah.DAS.Serial;

/** Holds information about a serial port.  Check port parameters
  * by looking at members.
  */
public class PortParams {
  public int baud, dataBits, stopBits, parity;
  public PortParams(int baud, int dataBits, int stopBits, int parity) {
    this.baud = baud;
    this.dataBits = dataBits;
    this.stopBits = stopBits;
    this.parity = parity;
    }
} // end class PortParams
